AddLoft Tangency in script


(Brodiej) #1

I’m trying to generate a family of models with RhinoPython. The main body of my object is a loft through a series of curves.

I need to add an additional feature that is a 2nd loft, starting at the edge of the 1st and tangent to the 1st. Any way to control the tangency of the loft? I also can’t figure out how to select surf edges in script.

Help would be greatly appreciated!

thanks.


(Dale Fugier) #2

Hi @brodiej,

The rhinoscriptsyntax.AddLoft method calls RhinoCommon’s Brep.CreateFromLoft static function. There isn’t an option to match start and end tangency.

I’ve added a wish item to the list.

https://mcneel.myjetbrains.com/youtrack/issue/RH-45628

This is item is implemented, you’ll need to pass in the starting and/or ending BrepTrim objects, along with any additional shape curves.

– Dale